# ImageAttributes (Crawler-commons 1.0 API)
Date: 2019-03-19

crawlercommons.sitemaps.extension

## Class ImageAttributes

- java.lang.Object
- - crawlercommons.sitemaps.extension.ExtensionMetadata
  - - crawlercommons.sitemaps.extension.ImageAttributes

    public class ImageAttributes
    extends ExtensionMetadata

Data model for Google extension to the sitemap protocol regarding images indexing, as per http://www.google.com/schemas/sitemap-image/1.1

### Constructor Summary

Constructors
Constructor and Description
`ImageAttributes()`
`ImageAttributes(URL loc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`String` `getCaption()`
`String` `getGeoLocation()`
`URL` `getLicense()`
`URL` `getLoc()`
`String` `getTitle()`
`boolean` `isValid()`
`void` `setCaption(String caption)`
`void` `setGeoLocation(String geoLocation)`
`void` `setLicense(URL license)`
`void` `setLoc(URL loc)`
`void` `setTitle(String title)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ImageAttributes

    public ImageAttributes()

#### ImageAttributes

    public ImageAttributes(URL loc)

### Method Detail

#### getLoc

    public URL getLoc()

#### setLoc

    public void setLoc(URL loc)

#### getCaption

    public String getCaption()

#### setCaption

    public void setCaption(String caption)

#### getGeoLocation

    public String getGeoLocation()

#### setGeoLocation

    public void setGeoLocation(String geoLocation)

#### getTitle

    public String getTitle()

#### setTitle

    public void setTitle(String title)

#### getLicense

    public URL getLicense()

#### setLicense

    public void setLicense(URL license)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `ExtensionMetadata`

#### equals

    public boolean equals(Object other)

Specified by:
  `equals` in class `ExtensionMetadata`